#include <stdio.h>
#include <stdlib.h>

int main()
{
    int A,B,C;
    scanf("%d%d",&B,&C);
    if(B+C>=256)
        A=0;
    if(B>=C)
    {
        A=256-B;
        if(C>A)
            A=C;
    }
    else
    {
        A=256-C;
        if(B>A)
            A=B;
    }
    printf("%d",A);
}